# Age of Empires 2: DE
## Data visualization project

The goal of this project is to develop a small web app to analyze data from the site [AoE2.net](www.aoe2.net).

It uses `Django` as framework, `pandas` for the data manipulation and `plotly` for the actual visualization.

## TODO

 - [x] API Interaction
 - [x] Interactive Plotting
 - [ ] Filling Placeholders
 - [ ] Site map
 - [ ] CSS Styling
 - [ ] Admin Interface
 - [ ] Match Predictions (Elo)

### Maybes

- [ ] Player Database
- [ ] Player Profiles
- [ ] Lobby Listing
- [ ] In Game Statistics
- [ ] Caching Optimization
- [ ] Cleaning `requiremnts.txt`

### Pipedreams

 - [ ] Messaging board
 - [ ] Discord Integration
 - [x] Reddit Integration
 - [ ] Build Orders
 - [ ] Twitch Integration
 - [ ] Tournament Calendar
 - [ ] `Docker` deployment
